libspatialite-dev_4.3.0a-6+b1_amd64.deb


Advertisement

Description

libspatialite-dev - Geospatial extension for SQLite - development files

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libspatialite-dev_4.3.0a-6+b1_amd64.deb
Package name libspatialite-dev
Package version 4.3.0a
Package release 6+b1
Package architecture amd64
Package type deb
Category devel::lang:c devel::library implemented-in::c libdevel role::devel-lib
Homepage https://www.gaia-gis.it/fossil/libspatialite
License -
Maintainer Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Download size 1.33 MB
Installed size 14.51 MB

Alternatives

Package Version Architecture Repository
libspatialite-dev_4.3.0a-6+b1_i386.deb 4.3.0a i386 Debian Main
libspatialite-dev - - -

Requires

Name Value
libspatialite7 = 4.3.0a-6+b1
libsqlite3-dev -
zlib1g-dev -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libspatialite-dev_4.3.0a-6+b1_amd64.deb
Source Package spatialite

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libspatialite-dev deb package:
    # sudo apt-get install libspatialite-dev

Files

Path
/usr/include/spatialite.h
/usr/include/spatialite_private.h
/usr/include/spatialite/control_points.h
/usr/include/spatialite/debug.h
/usr/include/spatialite/gaiaaux.h
/usr/include/spatialite/gaiaexif.h
/usr/include/spatialite/gaiageo.h
/usr/include/spatialite/gaiamatrix.h
/usr/include/spatialite/geopackage.h
/usr/include/spatialite/gg_advanced.h
/usr/include/spatialite/gg_const.h
/usr/include/spatialite/gg_core.h
/usr/include/spatialite/gg_dxf.h
/usr/include/spatialite/gg_dynamic.h
/usr/include/spatialite/gg_formats.h
/usr/include/spatialite/gg_mbr.h
/usr/include/spatialite/gg_structs.h
/usr/include/spatialite/gg_wfs.h
/usr/include/spatialite/gg_xml.h
/usr/include/spatialite/spatialite.h
/usr/include/spatialite/sqlite.h
/usr/include/spatialite/sqlite3.h
/usr/lib/x86_64-linux-gnu/libspatialite.a
/usr/lib/x86_64-linux-gnu/libspatialite.so
/usr/lib/x86_64-linux-gnu/pkgconfig/spatialite.pc
/usr/share/doc/libspatialite-dev/EPSG.powerpc.gz
/usr/share/doc/libspatialite-dev/NEWS.Debian.gz
/usr/share/doc/libspatialite-dev/changelog.Debian.amd64.gz
/usr/share/doc/libspatialite-dev/changelog.Debian.gz
/usr/share/doc/libspatialite-dev/copyright

Changelog

2019-07-11 - Bas Couwenberg <sebastic@debian.org>
spatialite (4.3.0a-6) unstable; urgency=medium
* Enable all hardening buildflags.
* Reorder build dependencies.
* Reorder configure options.
* Use pkg-info.mk variables instead of dpkg-parsechangelog output.
* Change priority from extra to optional.
* Strip trailing whitespace from changelog, control & rules files.
* Update copyright-format URL to use HTTPS.
* Update watch file to use HTTPS.
* Update Vcs-* URLs for Salsa.
* Drop obsolete dbg package.
* Add Build-Depends-Package field to symbols file.
* Bump Standards-Version to 4.4.0, changes: priority.
* Add -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H to CFLAGS for PROJ 6.0.0.
* Remove package name from lintian overrides.
* Update URL to SQLite Loadable Extensions documentation.
* Enable parallel builds, disable parallel test execution.
* Add lintian override for testsuite-autopkgtest-missing.
* Add patch to fix spelling errors.
* Update gbp.conf to use --source-only-changes by default.
2016-02-05 - Bas Couwenberg <sebastic@debian.org>
spatialite (4.3.0a-5) unstable; urgency=medium
* Update Vcs-Git URL to use HTTPS.
* Drop build dependency on liblwgeom-dev to untangle
spatialite->postgis->gdal->spatialite circular dependency.
2016-01-12 - Bas Couwenberg <sebastic@debian.org>
spatialite (4.3.0a-4) unstable; urgency=medium
* Require at least liblwgeom-dev 2.2.1 for postgis mini-transition.
2015-12-10 - Bas Couwenberg <sebastic@debian.org>
spatialite (4.3.0a-3) unstable; urgency=medium
* Add patch to switch from lw_vasprintf() to sqlite3_vmprintf().
(closes: #807556)
2015-12-09 - Bas Couwenberg <sebastic@debian.org>
spatialite (4.3.0a-2) unstable; urgency=medium
* Require at least liblwgeom-dev 2.2.0 for postgis mini-transition.
* Drop unused BASE_URL variable from rules file.
* Add patch to fix 'occurrence' typo.
2015-09-09 - Bas Couwenberg <sebastic@debian.org>
spatialite (4.3.0a-1) unstable; urgency=medium
* New upstream release.
2015-08-28 - Bas Couwenberg <sebastic@debian.org>
spatialite (4.3.0-3) unstable; urgency=medium
* Reinstate liblwgeom-dev (build) dependency.
* Update Vcs-Browser URL to use HTTPS.
2015-08-27 - Bas Couwenberg <sebastic@debian.org>
spatialite (4.3.0-2) unstable; urgency=medium
* Drop build dependency on liblwgeom-dev to untangle
spatialite->postgis->gdal->spatialite circular dependency.
2015-07-14 - Bas Couwenberg <sebastic@debian.org>
spatialite (4.3.0-1) unstable; urgency=medium
* Move from experimental to unstable.
2015-07-01 - Bas Couwenberg <sebastic@debian.org>
spatialite (4.3.0-1~exp1) experimental; urgency=medium
* New upstream release.
* Update copyright years.

See Also

Package Description
libspatialite7_4.3.0a-6+b1_amd64.deb Geospatial extension for SQLite - libraries
libspctag-dev_0.2-1+b2_amd64.deb ID666 tags edition support library (development headers)
libspctag1_0.2-1+b2_amd64.deb ID666 tags edition support library
libspdlog-dev_1.3.1-1_amd64.deb Very fast, header only, C++ logging library
libspdylay-dev_1.3.2-2.1+b12_amd64.deb implementation of SPDY protocol in C - development files
libspdylay-utils_1.3.2-2.1+b12_amd64.deb implementation of SPDY protocol in C - utilities
libspdylay7_1.3.2-2.1+b12_amd64.deb implementation of SPDY protocol in C
libspec-alpha-clojure_0.2.176-3_all.deb library to describe the structure of data and functions
libspecio-library-path-tiny-perl_0.04-3_all.deb Path::Tiny types and coercions for Specio
libspecio-perl_0.44-1_all.deb Perl module providing type constraints and coercions
libspecter-clojure_1.0.2-2_all.deb data structure transformation library for Clojure
libspectre-dev_0.2.8-1+b1_amd64.deb Library for rendering PostScript documents - development files
libspectre1_0.2.8-1+b1_amd64.deb Library for rendering PostScript documents
libspectrum-dev_1.4.4-1_amd64.deb ZX Spectrum emulator library - Development files
libspectrum8_1.4.4-1_amd64.deb ZX Spectrum emulator library - Shared libraries
Advertisement
Advertisement